Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595741 - mon: honour mon_docker_net_host option [NEEDINFO]
Summary: mon: honour mon_docker_net_host option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 3.1
Assignee: leseb
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 13:20 UTC by leseb
Modified: 2018-07-16 15:57 UTC (History)
7 users (show)

Fixed In Version: RHEL: ceph-ansible-3.1.0-0.1.rc10.el7cp Ubuntu: ceph-ansible_3.1.0~rc10-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-12 20:30:35 UTC
Target Upstream Version:
kdreyer: needinfo? (ceph-qe-bugs)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2815 None None None 2018-06-27 13:21:30 UTC
Red Hat Bugzilla 1595750 None None None Never

Internal Links: 1595750

Description leseb 2018-06-27 13:20:30 UTC
Description of problem:

--net=host was hardcoded in the startup line of the system unit so even though
mon_docker_net_host was set to False the net option would always be
activated.

mon_docker_net_host is set to True by default so this commit does not
change the behavior.

Version-Release number of selected component (if applicable):

v3.1.0rc9

How reproducible:

Run a container mon, set mon_docker_net_host to false and --net=host will remain

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Ken Dreyer (Red Hat) 2018-07-12 18:53:59 UTC
The external PR is tagged in ceph-ansible's stable-3.1 upstream as v3.1.0rc10

Comment 8 Ken Dreyer (Red Hat) 2018-07-12 20:30:35 UTC
ceph-ansible 3.0.39 shipped in https://access.redhat.com/errata/RHSA-2018:2177


Note You need to log in before you can comment on or make changes to this bug.